Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.ifs.beans
Class AccessControlListDefinition

    java.lang.Object

      |

      +--oracle.ifs.beans.LibraryObjectDefinition

            |

            +--oracle.ifs.beans.PublicObjectDefinition

                  |

                  +--oracle.ifs.beans.AccessControlListDefinition

Direct Known Subclasses:
  ClassAccessControlListDefinition, SystemAccessControlListDefinition

public class AccessControlListDefinition
extends PublicObjectDefinition

The `AccessControlListDefinition` class is used create or update a AccessControlList object. Most of the specifications can be set using the setAttribute() method inherited from LibraryObjectDefinition. The specifications that must be set with explicit methods on this class are:

- setShared - set indication of whether the new ACL will be shareable between mulitple PublicObjects (defaults to true).
- addAceDefinition - adds an AccessControlEntryDefinition, so that the newly created ACL or modified ACL has the specified grant or revoke included in its definition.

This class also overrides the setCategoryDefinition method, as associated Category objects for ACLs re not supported.

See Also:
  `LibraryObjectDefinition`, `AccessControlList`

Constructor Summary
`AccessControlListDefinition(LibrarySession session)` Constructs a AccessControlListDefinition explicitly capturing the session.

Method Summary
`void` | `addAceDefinition(AccessControlEntryDefinition definition)` Adds an AccessControlEntryDefinition to this object.
`void` | `addCategoryDefinition(CategoryDefinition def)` Set the Category definition for the new PublicObject.
`java.lang.Boolean` | `isShared()` Get the indication as to whether this ACL is a shared ACL.
`void` | `setShared(boolean isShared)` Set the indication as to whether this ACL is shared.

Methods inherited from class oracle.ifs.beans.PublicObjectDefinition
`getAddToFolderOption, getCategoryDefinitions, getExplicitCreateDate, getExplicitLastModifyDate, getFreeIfLastFolderReferenceOption, getKeepLastModifyDateOption, getLockForSessionOption, getSecuringPublicObject, getUnlockForSessionOption, setAddToFolderOption, setExplicitCreateDate, setExplicitLastModifyDate, setFreeIfLastFolderReferenceOption, setKeepLastModifyDateOption, setLockForSessionOption, setSecuringPublicObject, setUnlockForSessionOption`

Methods inherited from class oracle.ifs.beans.LibraryObjectDefinition
`clone, getAttribute, getAttributes, getClassObject, getOption, getOptionKeys, removeAttribute, removeOption, setAttribute, setAttribute, setAttributeByUpperCaseName, setAttributes, setClassObject, setOption`

Constructor Detail

### AccessControlListDefinition

    public AccessControlListDefinition(LibrarySession session)
                                throws IfsException

  Constructs a AccessControlListDefinition explicitly capturing the session. The class name is initialized to ACCESSCONTROLLIST.
  Parameters:
    `session` - the session
  Throws:
    `IfsException` - if the operation fails

Method Detail

### addCategoryDefinition

    public void addCategoryDefinition(CategoryDefinition def)
                               throws IfsException

  Set the Category definition for the new PublicObject. This is overriden to force throwing IfsException 10203, as ACL objects do not themselves have categories.
  Overrides:
    `addCategoryDefinition` in class `PublicObjectDefinition`
  Parameters:
    `def` - the Category definition for the new Category.
  Throws:
    `IfsException` - if operation fails.

### setShared

    public void setShared(boolean isShared)
                   throws IfsException

  Set the indication as to whether this ACL is shared.
  Parameters:
    `isShared` - the indication as to whether this ACL is shared.
  Throws:
    `IfsException` - if operation fails .

### isShared

    public java.lang.Boolean isShared()
                               throws IfsException

  Get the indication as to whether this ACL is a shared ACL. Return null if no indication was specified.
  Returns:
    isShared the indication as to whether this ACL is a shared ACL.
  Throws:
    `IfsException` - if operation fails.

### addAceDefinition

    public final void addAceDefinition(AccessControlEntryDefinition definition)
                                throws IfsException

  Adds an AccessControlEntryDefinition to this object. The AccessControlEntryDefinition can represent either a grant or revoke operation.
  Parameters:
    `definition` - the AccessControlEntryDefinition of the new ACE
  Throws:
    `IfsException` - if the operation fails
  See Also:
    `AccessControlEntryDefinition`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD